VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
PowerTimingFunction Class Reference
Animation » Animation Timing Functions | New classes » Version 4.0

`#include <timingfunctions.h>`

Inheritance diagram for PowerTimingFunction:

## Public Member Functions
| PowerTimingFunction (uint32_t length, float factor)
| PowerTimingFunction (const PowerTimingFunction &)=default
PowerTimingFunction & | operator= (const PowerTimingFunction &)=default
float | getPosition (uint32_t milliseconds) override
Public Member Functions inherited from TimingFunctionBase
| TimingFunctionBase (uint32_t length)
| TimingFunctionBase (const TimingFunctionBase &)=default
TimingFunctionBase & | operator= (const TimingFunctionBase &)=default
uint32_t | getLength () const
bool | isDone (uint32_t milliseconds) override
Public Member Functions inherited from ITimingFunction
virtual | ~ITimingFunction () noexcept=default

## Protected Attributes
float | factor
Protected Attributes inherited from TimingFunctionBase
uint32_t | length

## Constructor & Destructor Documentation

## ◆ PowerTimingFunction() [1/2]

PowerTimingFunction | ( | uint32_t | length,
|  | float | factor )

## ◆ PowerTimingFunction() [2/2]

PowerTimingFunction | ( | const PowerTimingFunction & |  | ) |
| default

## Member Function Documentation

## ◆ getPosition()

float getPosition | ( | uint32_t | milliseconds | ) |
| override virtual

Implements ITimingFunction.

## ◆ operator=()

PowerTimingFunction & operator= | ( | const PowerTimingFunction & |  | ) |
| default

## Member Data Documentation

## ◆ factor

float factor
| protected

The documentation for this class was generated from the following files:

- timingfunctions.h
- timingfunctions.cpp